Qt 5.11 | Qt 3D | C++ Classes | QEnvironmentLight

Qt 5.11.3 Reference Documentation

# QEnvironmentLight Class

(Qt3DRender::QEnvironmentLight)

Encapsulate an environment light object in a Qt 3D scene. More...

Header: | #include <QEnvironmentLight>
qmake: | QT += 3drender
Since: | Qt 5.9
Instantiated By: | EnvironmentLight
Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Properties

- irradiance : Qt3DRender::QAbstractTexture*
- specular : Qt3DRender::QAbstractTexture*

- 1 property inherited from Qt3DCore::QComponent
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QEnvironmentLight(Qt3DCore::QNode *parent = nullptr)
virtual | ~QEnvironmentLight()
Qt3DRender::QAbstractTexture * | irradiance() const
Qt3DRender::QAbstractTexture * | specular() const

- 2 public functions inherited from Qt3DCore::QComponent
- 13 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setIrradiance(Qt3DRender::QAbstractTexture *irradiance)
void | setSpecular(Qt3DRender::QAbstractTexture *specular)

- 1 public slot inherited from Qt3DCore::QComponent
- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | irradianceChanged(Qt3DRender::QAbstractTexture *environmentIrradiance)
void | specularChanged(Qt3DRender::QAbstractTexture *environmentSpecular)

- 3 signals inherited from Qt3DCore::QComponent
- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Encapsulate an environment light object in a Qt 3D scene.

## Property Documentation

### irradiance : Qt3DRender::QAbstractTexture*

Holds the current environment irradiance map texture.

By default, the environment irradiance texture is null.

Access functions:

Qt3DRender::QAbstractTexture * | irradiance() const
void | setIrradiance(Qt3DRender::QAbstractTexture *irradiance)

Notifier signal:

void | irradianceChanged(Qt3DRender::QAbstractTexture *environmentIrradiance)

### specular : Qt3DRender::QAbstractTexture*

Holds the current environment specular map texture.

By default, the environment specular texture is null.

Access functions:

Qt3DRender::QAbstractTexture * | specular() const
void | setSpecular(Qt3DRender::QAbstractTexture *specular)

Notifier signal:

void | specularChanged(Qt3DRender::QAbstractTexture *environmentSpecular)

## Member Function Documentation

### QEnvironmentLight::QEnvironmentLight(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QEnvironmentLight.

### `[virtual]` QEnvironmentLight::~QEnvironmentLight()

Destroys the instance of QEnvironmentLight. The destructor is virtual.